--- /dev/null
+CC ?= gcc
+
+TARGETS = utc_UIFW_elm_panes_add_func \
+ utc_UIFW_elm_panes_content_left_set_func \
+ utc_UIFW_elm_panes_content_right_set_func \
+ utc_UIFW_elm_panes_content_left_get_func \
+ utc_UIFW_elm_panes_content_right_get_func \
+ utc_UIFW_elm_panes_content_left_size_get_func \
+ utc_UIFW_elm_panes_content_left_size_set_func \
+ utc_UIFW_elm_panes_horizontal_set_func \
+ utc_UIFW_elm_panes_horizontal_is_func \
+ utc_UIFW_elm_panes_fixed_set_func \
+ utc_UIFW_elm_panes_fixed_is_func
+
+PKGS = elementary
+
+LDFLAGS = `pkg-config --libs $(PKGS)`
+LDFLAGS += $(TET_ROOT)/lib/tet3/tcm_s.o
+LDFLAGS += -L$(TET_ROOT)/lib/tet3 -ltcm_s
+LDFLAGS += -L$(TET_ROOT)/lib/tet3 -lapi_s
+
+CFLAGS = -I. `pkg-config --cflags $(PKGS)`
+CFLAGS += -I$(TET_ROOT)/inc/tet3
+CFLAGS += -Wall
+
+all: $(TARGETS)
+
+$(TARGET): %: %.c
+ $(CC) -o $@ $< $(CFLAGS) $(LDFLAGS)
+
+clean:
+ rm -f $(TARGETS)
+ rm -f tet_captured
+ rm -f *~
--- /dev/null
+#!/bin/sh
+
+TMPSTR=$0
+SCRIPT=${TMPSTR##*/}
+
+if [ $# -lt 3 ]; then
+ echo "Usage) $SCRIPT module_name winset_name api_name"
+ exit 1
+fi
+
+MODULE=$1
+WINSET=$2
+API=$3
+TEMPLATE=utc_MODULE_API_func.c.in
+TESTCASE=utc_${MODULE}_${API}_func
+
+sed -e '
+ s^@API@^'"$API"'^g
+ s^@MODULE@^'"$MODULE"'^g
+ ' $TEMPLATE > $TESTCASE.c
+
+if [ ! -e "$TESTCASE.c" ]; then
+ echo "Failed"
+ exit 1
+fi
+
+echo "/elm_ts/$WINSET/$TESTCASE" >> tslist
+
+echo "Testcase file is $TESTCASE.c"
+echo "$TESTCASE is added to tslist"
+echo "Done"
+echo "please put \"$TESTCASE\" as Target in Makefile"
--- /dev/null
+/elm_ts/panes/utc_UIFW_elm_panes_add_func
+/elm_ts/panes/utc_UIFW_elm_panes_content_left_set_func
+/elm_ts/panes/utc_UIFW_elm_panes_content_right_set_func
+/elm_ts/panes/utc_UIFW_elm_panes_content_left_get_func
+/elm_ts/panes/utc_UIFW_elm_panes_content_left_size_get_func
+/elm_ts/panes/utc_UIFW_elm_panes_content_left_size_set_func
+/elm_ts/panes/utc_UIFW_elm_panes_horizontal_set_func
+/elm_ts/panes/utc_UIFW_elm_panes_horizontal_is_func
+/elm_ts/panes/utc_UIFW_elm_panes_fixed_set_func
+/elm_ts/panes/utc_UIFW_elm_panes_fixed_is_func
--- /dev/null
+#include <tet_api.h>
+#include <Elementary.h>
+
+// Definitions
+// For checking the result of the positive test case.
+#define TET_CHECK_PASS(x1, y...) \
+{ \
+ Evas_Object *err = y; \
+ if (err == (x1)) \
+ { \
+ tet_printf("[TET_CHECK_PASS]:: %s[%d] : Test has failed..", __FILE__,__LINE__); \
+ tet_result(TET_FAIL); \
+ return; \
+ } \
+}
+
+// For checking the result of the negative test case.
+#define TET_CHECK_FAIL(x1, y...) \
+{ \
+ Evas_Object *err = y; \
+ if (err != (x1)) \
+ { \
+ tet_printf("[TET_CHECK_FAIL]:: %s[%d] : Test has failed..", __FILE__,__LINE__); \
+ tet_result(TET_FAIL); \
+ return; \
+ } \
+}
+
+
+Evas_Object *main_win;
+
+static void startup(void);
+static void cleanup(void);
+
+void (*tet_startup)(void) = startup;
+void (*tet_cleanup)(void) = cleanup;
+
+static void utc_@MODULE@_@API@_func_01(void);
+static void utc_@MODULE@_@API@_func_02(void);
+
+enum {
+ POSITIVE_TC_IDX = 0x01,
+ NEGATIVE_TC_IDX,
+};
+
+struct tet_testlist tet_testlist[] = {
+ { utc_@MODULE@_@API@_func_01, POSITIVE_TC_IDX },
+ { utc_@MODULE@_@API@_func_02, NEGATIVE_TC_IDX },
+ { NULL, 0 }
+};
+
+static void startup(void)
+{
+ tet_infoline("[[ TET_MSG ]]:: ============ Startup ============ ");
+ elm_init(0, NULL);
+ main_win = elm_win_add(NULL, "main", ELM_WIN_BASIC);
+ evas_object_show(main_win);
+}
+
+static void cleanup(void)
+{
+ if ( NULL != main_win ) {
+ evas_object_del(main_win);
+ main_win = NULL;
+ }
+ elm_shutdown();
+ tet_infoline("[[ TET_MSG ]]:: ============ Cleanup ============ ");
+}
+
+/**
+ * @brief Positive test case of @API@()
+ */
+static void utc_@MODULE@_@API@_func_01(void)
+{
+ int r = 0;
+
+/*
+ r = @API@(...);
+*/
+ if (!r) {
+ tet_infoline("@API@() failed in positive test case");
+ tet_result(TET_FAIL);
+ return;
+ }
+ tet_result(TET_PASS);
+}
+
+/**
+ * @brief Negative test case of ug_init @API@()
+ */
+static void utc_@MODULE@_@API@_func_02(void)
+{
+ int r = 0;
+
+/*
+ r = @API@(...);
+*/
+ if (r) {
+ tet_infoline("@API@() failed in negative test case");
+ tet_result(TET_FAIL);
+ return;
+ }
+ tet_result(TET_PASS);
+}
--- /dev/null
+#include <tet_api.h>
+#include <Elementary.h>
+
+// Definitions
+// For checking the result of the positive test case.
+#define TET_CHECK_PASS(x1, y...) \
+{ \
+ Evas_Object *err = y; \
+ if (err == (x1)) \
+ { \
+ tet_printf("[TET_CHECK_PASS]:: %s[%d] : Test has failed..", __FILE__,__LINE__); \
+ tet_result(TET_FAIL); \
+ return; \
+ } \
+}
+
+// For checking the result of the negative test case.
+#define TET_CHECK_FAIL(x1, y...) \
+{ \
+ Evas_Object *err = y; \
+ if (err != (x1)) \
+ { \
+ tet_printf("[TET_CHECK_FAIL]:: %s[%d] : Test has failed..", __FILE__,__LINE__); \
+ tet_result(TET_FAIL); \
+ return; \
+ } \
+}
+
+
+Evas_Object *main_win;
+
+static void startup(void);
+static void cleanup(void);
+
+void (*tet_startup)(void) = startup;
+void (*tet_cleanup)(void) = cleanup;
+
+static void utc_UIFW_elm_panes_add_func_01(void);
+static void utc_UIFW_elm_panes_add_func_02(void);
+
+enum {
+ POSITIVE_TC_IDX = 0x01,
+ NEGATIVE_TC_IDX,
+};
+
+struct tet_testlist tet_testlist[] = {
+ { utc_UIFW_elm_panes_add_func_01, POSITIVE_TC_IDX },
+ { utc_UIFW_elm_panes_add_func_02, NEGATIVE_TC_IDX },
+ { NULL, 0 }
+};
+
+static void startup(void)
+{
+ tet_infoline("[[ TET_MSG ]]:: ============ Startup ============ ");
+ elm_init(0, NULL);
+ main_win = elm_win_add(NULL, "main", ELM_WIN_BASIC);
+ evas_object_show(main_win);
+}
+
+static void cleanup(void)
+{
+ if ( NULL != main_win ) {
+ evas_object_del(main_win);
+ main_win = NULL;
+ }
+ elm_shutdown();
+ tet_infoline("[[ TET_MSG ]]:: ============ Cleanup ============ ");
+}
+
+/**
+ * @brief Positive test case of elm_panes_add()
+ */
+static void utc_UIFW_elm_panes_add_func_01(void)
+{
+ int r = 0;
+
+/*
+ r = elm_panes_add(...);
+*/
+ if (!r) {
+ tet_infoline("elm_panes_add() failed in positive test case");
+ tet_result(TET_FAIL);
+ return;
+ }
+ tet_result(TET_PASS);
+}
+
+/**
+ * @brief Negative test case of ug_init elm_panes_add()
+ */
+static void utc_UIFW_elm_panes_add_func_02(void)
+{
+ int r = 0;
+
+/*
+ r = elm_panes_add(...);
+*/
+ if (r) {
+ tet_infoline("elm_panes_add() failed in negative test case");
+ tet_result(TET_FAIL);
+ return;
+ }
+ tet_result(TET_PASS);
+}
--- /dev/null
+#include <tet_api.h>
+#include <Elementary.h>
+
+// Definitions
+// For checking the result of the positive test case.
+#define TET_CHECK_PASS(x1, y...) \
+{ \
+ Evas_Object *err = y; \
+ if (err == (x1)) \
+ { \
+ tet_printf("[TET_CHECK_PASS]:: %s[%d] : Test has failed..", __FILE__,__LINE__); \
+ tet_result(TET_FAIL); \
+ return; \
+ } \
+}
+
+// For checking the result of the negative test case.
+#define TET_CHECK_FAIL(x1, y...) \
+{ \
+ Evas_Object *err = y; \
+ if (err != (x1)) \
+ { \
+ tet_printf("[TET_CHECK_FAIL]:: %s[%d] : Test has failed..", __FILE__,__LINE__); \
+ tet_result(TET_FAIL); \
+ return; \
+ } \
+}
+
+
+Evas_Object *main_win;
+
+static void startup(void);
+static void cleanup(void);
+
+void (*tet_startup)(void) = startup;
+void (*tet_cleanup)(void) = cleanup;
+
+static void utc_UIFW_elm_panes_content_left_get_func_01(void);
+static void utc_UIFW_elm_panes_content_left_get_func_02(void);
+
+enum {
+ POSITIVE_TC_IDX = 0x01,
+ NEGATIVE_TC_IDX,
+};
+
+struct tet_testlist tet_testlist[] = {
+ { utc_UIFW_elm_panes_content_left_get_func_01, POSITIVE_TC_IDX },
+ { utc_UIFW_elm_panes_content_left_get_func_02, NEGATIVE_TC_IDX },
+ { NULL, 0 }
+};
+
+static void startup(void)
+{
+ tet_infoline("[[ TET_MSG ]]:: ============ Startup ============ ");
+ elm_init(0, NULL);
+ main_win = elm_win_add(NULL, "main", ELM_WIN_BASIC);
+ evas_object_show(main_win);
+}
+
+static void cleanup(void)
+{
+ if ( NULL != main_win ) {
+ evas_object_del(main_win);
+ main_win = NULL;
+ }
+ elm_shutdown();
+ tet_infoline("[[ TET_MSG ]]:: ============ Cleanup ============ ");
+}
+
+/**
+ * @brief Positive test case of elm_panes_content_left_get()
+ */
+static void utc_UIFW_elm_panes_content_left_get_func_01(void)
+{
+ int r = 0;
+
+/*
+ r = elm_panes_content_left_get(...);
+*/
+ if (!r) {
+ tet_infoline("elm_panes_content_left_get() failed in positive test case");
+ tet_result(TET_FAIL);
+ return;
+ }
+ tet_result(TET_PASS);
+}
+
+/**
+ * @brief Negative test case of ug_init elm_panes_content_left_get()
+ */
+static void utc_UIFW_elm_panes_content_left_get_func_02(void)
+{
+ int r = 0;
+
+/*
+ r = elm_panes_content_left_get(...);
+*/
+ if (r) {
+ tet_infoline("elm_panes_content_left_get() failed in negative test case");
+ tet_result(TET_FAIL);
+ return;
+ }
+ tet_result(TET_PASS);
+}
--- /dev/null
+#include <tet_api.h>
+#include <Elementary.h>
+
+// Definitions
+// For checking the result of the positive test case.
+#define TET_CHECK_PASS(x1, y...) \
+{ \
+ Evas_Object *err = y; \
+ if (err == (x1)) \
+ { \
+ tet_printf("[TET_CHECK_PASS]:: %s[%d] : Test has failed..", __FILE__,__LINE__); \
+ tet_result(TET_FAIL); \
+ return; \
+ } \
+}
+
+// For checking the result of the negative test case.
+#define TET_CHECK_FAIL(x1, y...) \
+{ \
+ Evas_Object *err = y; \
+ if (err != (x1)) \
+ { \
+ tet_printf("[TET_CHECK_FAIL]:: %s[%d] : Test has failed..", __FILE__,__LINE__); \
+ tet_result(TET_FAIL); \
+ return; \
+ } \
+}
+
+
+Evas_Object *main_win;
+
+static void startup(void);
+static void cleanup(void);
+
+void (*tet_startup)(void) = startup;
+void (*tet_cleanup)(void) = cleanup;
+
+static void utc_UIFW_elm_panes_content_left_set_func_01(void);
+static void utc_UIFW_elm_panes_content_left_set_func_02(void);
+
+enum {
+ POSITIVE_TC_IDX = 0x01,
+ NEGATIVE_TC_IDX,
+};
+
+struct tet_testlist tet_testlist[] = {
+ { utc_UIFW_elm_panes_content_left_set_func_01, POSITIVE_TC_IDX },
+ { utc_UIFW_elm_panes_content_left_set_func_02, NEGATIVE_TC_IDX },
+ { NULL, 0 }
+};
+
+static void startup(void)
+{
+ tet_infoline("[[ TET_MSG ]]:: ============ Startup ============ ");
+ elm_init(0, NULL);
+ main_win = elm_win_add(NULL, "main", ELM_WIN_BASIC);
+ evas_object_show(main_win);
+}
+
+static void cleanup(void)
+{
+ if ( NULL != main_win ) {
+ evas_object_del(main_win);
+ main_win = NULL;
+ }
+ elm_shutdown();
+ tet_infoline("[[ TET_MSG ]]:: ============ Cleanup ============ ");
+}
+
+/**
+ * @brief Positive test case of elm_panes_content_left_set()
+ */
+static void utc_UIFW_elm_panes_content_left_set_func_01(void)
+{
+ int r = 0;
+
+/*
+ r = elm_panes_content_left_set(...);
+*/
+ if (!r) {
+ tet_infoline("elm_panes_content_left_set() failed in positive test case");
+ tet_result(TET_FAIL);
+ return;
+ }
+ tet_result(TET_PASS);
+}
+
+/**
+ * @brief Negative test case of ug_init elm_panes_content_left_set()
+ */
+static void utc_UIFW_elm_panes_content_left_set_func_02(void)
+{
+ int r = 0;
+
+/*
+ r = elm_panes_content_left_set(...);
+*/
+ if (r) {
+ tet_infoline("elm_panes_content_left_set() failed in negative test case");
+ tet_result(TET_FAIL);
+ return;
+ }
+ tet_result(TET_PASS);
+}
--- /dev/null
+#include <tet_api.h>
+#include <Elementary.h>
+
+// Definitions
+// For checking the result of the positive test case.
+#define TET_CHECK_PASS(x1, y...) \
+{ \
+ Evas_Object *err = y; \
+ if (err == (x1)) \
+ { \
+ tet_printf("[TET_CHECK_PASS]:: %s[%d] : Test has failed..", __FILE__,__LINE__); \
+ tet_result(TET_FAIL); \
+ return; \
+ } \
+}
+
+// For checking the result of the negative test case.
+#define TET_CHECK_FAIL(x1, y...) \
+{ \
+ Evas_Object *err = y; \
+ if (err != (x1)) \
+ { \
+ tet_printf("[TET_CHECK_FAIL]:: %s[%d] : Test has failed..", __FILE__,__LINE__); \
+ tet_result(TET_FAIL); \
+ return; \
+ } \
+}
+
+
+Evas_Object *main_win;
+
+static void startup(void);
+static void cleanup(void);
+
+void (*tet_startup)(void) = startup;
+void (*tet_cleanup)(void) = cleanup;
+
+static void utc_UIFW_elm_panes_content_left_size_get_func_01(void);
+static void utc_UIFW_elm_panes_content_left_size_get_func_02(void);
+
+enum {
+ POSITIVE_TC_IDX = 0x01,
+ NEGATIVE_TC_IDX,
+};
+
+struct tet_testlist tet_testlist[] = {
+ { utc_UIFW_elm_panes_content_left_size_get_func_01, POSITIVE_TC_IDX },
+ { utc_UIFW_elm_panes_content_left_size_get_func_02, NEGATIVE_TC_IDX },
+ { NULL, 0 }
+};
+
+static void startup(void)
+{
+ tet_infoline("[[ TET_MSG ]]:: ============ Startup ============ ");
+ elm_init(0, NULL);
+ main_win = elm_win_add(NULL, "main", ELM_WIN_BASIC);
+ evas_object_show(main_win);
+}
+
+static void cleanup(void)
+{
+ if ( NULL != main_win ) {
+ evas_object_del(main_win);
+ main_win = NULL;
+ }
+ elm_shutdown();
+ tet_infoline("[[ TET_MSG ]]:: ============ Cleanup ============ ");
+}
+
+/**
+ * @brief Positive test case of elm_panes_content_left_size_get()
+ */
+static void utc_UIFW_elm_panes_content_left_size_get_func_01(void)
+{
+ int r = 0;
+
+/*
+ r = elm_panes_content_left_size_get(...);
+*/
+ if (!r) {
+ tet_infoline("elm_panes_content_left_size_get() failed in positive test case");
+ tet_result(TET_FAIL);
+ return;
+ }
+ tet_result(TET_PASS);
+}
+
+/**
+ * @brief Negative test case of ug_init elm_panes_content_left_size_get()
+ */
+static void utc_UIFW_elm_panes_content_left_size_get_func_02(void)
+{
+ int r = 0;
+
+/*
+ r = elm_panes_content_left_size_get(...);
+*/
+ if (r) {
+ tet_infoline("elm_panes_content_left_size_get() failed in negative test case");
+ tet_result(TET_FAIL);
+ return;
+ }
+ tet_result(TET_PASS);
+}
--- /dev/null
+#include <tet_api.h>
+#include <Elementary.h>
+
+// Definitions
+// For checking the result of the positive test case.
+#define TET_CHECK_PASS(x1, y...) \
+{ \
+ Evas_Object *err = y; \
+ if (err == (x1)) \
+ { \
+ tet_printf("[TET_CHECK_PASS]:: %s[%d] : Test has failed..", __FILE__,__LINE__); \
+ tet_result(TET_FAIL); \
+ return; \
+ } \
+}
+
+// For checking the result of the negative test case.
+#define TET_CHECK_FAIL(x1, y...) \
+{ \
+ Evas_Object *err = y; \
+ if (err != (x1)) \
+ { \
+ tet_printf("[TET_CHECK_FAIL]:: %s[%d] : Test has failed..", __FILE__,__LINE__); \
+ tet_result(TET_FAIL); \
+ return; \
+ } \
+}
+
+
+Evas_Object *main_win;
+
+static void startup(void);
+static void cleanup(void);
+
+void (*tet_startup)(void) = startup;
+void (*tet_cleanup)(void) = cleanup;
+
+static void utc_UIFW_elm_panes_content_left_size_set_func_01(void);
+static void utc_UIFW_elm_panes_content_left_size_set_func_02(void);
+
+enum {
+ POSITIVE_TC_IDX = 0x01,
+ NEGATIVE_TC_IDX,
+};
+
+struct tet_testlist tet_testlist[] = {
+ { utc_UIFW_elm_panes_content_left_size_set_func_01, POSITIVE_TC_IDX },
+ { utc_UIFW_elm_panes_content_left_size_set_func_02, NEGATIVE_TC_IDX },
+ { NULL, 0 }
+};
+
+static void startup(void)
+{
+ tet_infoline("[[ TET_MSG ]]:: ============ Startup ============ ");
+ elm_init(0, NULL);
+ main_win = elm_win_add(NULL, "main", ELM_WIN_BASIC);
+ evas_object_show(main_win);
+}
+
+static void cleanup(void)
+{
+ if ( NULL != main_win ) {
+ evas_object_del(main_win);
+ main_win = NULL;
+ }
+ elm_shutdown();
+ tet_infoline("[[ TET_MSG ]]:: ============ Cleanup ============ ");
+}
+
+/**
+ * @brief Positive test case of elm_panes_content_left_size_set()
+ */
+static void utc_UIFW_elm_panes_content_left_size_set_func_01(void)
+{
+ int r = 0;
+
+/*
+ r = elm_panes_content_left_size_set(...);
+*/
+ if (!r) {
+ tet_infoline("elm_panes_content_left_size_set() failed in positive test case");
+ tet_result(TET_FAIL);
+ return;
+ }
+ tet_result(TET_PASS);
+}
+
+/**
+ * @brief Negative test case of ug_init elm_panes_content_left_size_set()
+ */
+static void utc_UIFW_elm_panes_content_left_size_set_func_02(void)
+{
+ int r = 0;
+
+/*
+ r = elm_panes_content_left_size_set(...);
+*/
+ if (r) {
+ tet_infoline("elm_panes_content_left_size_set() failed in negative test case");
+ tet_result(TET_FAIL);
+ return;
+ }
+ tet_result(TET_PASS);
+}
--- /dev/null
+#include <tet_api.h>
+#include <Elementary.h>
+
+// Definitions
+// For checking the result of the positive test case.
+#define TET_CHECK_PASS(x1, y...) \
+{ \
+ Evas_Object *err = y; \
+ if (err == (x1)) \
+ { \
+ tet_printf("[TET_CHECK_PASS]:: %s[%d] : Test has failed..", __FILE__,__LINE__); \
+ tet_result(TET_FAIL); \
+ return; \
+ } \
+}
+
+// For checking the result of the negative test case.
+#define TET_CHECK_FAIL(x1, y...) \
+{ \
+ Evas_Object *err = y; \
+ if (err != (x1)) \
+ { \
+ tet_printf("[TET_CHECK_FAIL]:: %s[%d] : Test has failed..", __FILE__,__LINE__); \
+ tet_result(TET_FAIL); \
+ return; \
+ } \
+}
+
+
+Evas_Object *main_win;
+
+static void startup(void);
+static void cleanup(void);
+
+void (*tet_startup)(void) = startup;
+void (*tet_cleanup)(void) = cleanup;
+
+static void utc_UIFW_elm_panes_content_right_set_func_01(void);
+static void utc_UIFW_elm_panes_content_right_set_func_02(void);
+
+enum {
+ POSITIVE_TC_IDX = 0x01,
+ NEGATIVE_TC_IDX,
+};
+
+struct tet_testlist tet_testlist[] = {
+ { utc_UIFW_elm_panes_content_right_set_func_01, POSITIVE_TC_IDX },
+ { utc_UIFW_elm_panes_content_right_set_func_02, NEGATIVE_TC_IDX },
+ { NULL, 0 }
+};
+
+static void startup(void)
+{
+ tet_infoline("[[ TET_MSG ]]:: ============ Startup ============ ");
+ elm_init(0, NULL);
+ main_win = elm_win_add(NULL, "main", ELM_WIN_BASIC);
+ evas_object_show(main_win);
+}
+
+static void cleanup(void)
+{
+ if ( NULL != main_win ) {
+ evas_object_del(main_win);
+ main_win = NULL;
+ }
+ elm_shutdown();
+ tet_infoline("[[ TET_MSG ]]:: ============ Cleanup ============ ");
+}
+
+/**
+ * @brief Positive test case of elm_panes_content_right_set()
+ */
+static void utc_UIFW_elm_panes_content_right_set_func_01(void)
+{
+ int r = 0;
+
+/*
+ r = elm_panes_content_right_set(...);
+*/
+ if (!r) {
+ tet_infoline("elm_panes_content_right_set() failed in positive test case");
+ tet_result(TET_FAIL);
+ return;
+ }
+ tet_result(TET_PASS);
+}
+
+/**
+ * @brief Negative test case of ug_init elm_panes_content_right_set()
+ */
+static void utc_UIFW_elm_panes_content_right_set_func_02(void)
+{
+ int r = 0;
+
+/*
+ r = elm_panes_content_right_set(...);
+*/
+ if (r) {
+ tet_infoline("elm_panes_content_right_set() failed in negative test case");
+ tet_result(TET_FAIL);
+ return;
+ }
+ tet_result(TET_PASS);
+}
--- /dev/null
+#include <tet_api.h>
+#include <Elementary.h>
+
+// Definitions
+// For checking the result of the positive test case.
+#define TET_CHECK_PASS(x1, y...) \
+{ \
+ Evas_Object *err = y; \
+ if (err == (x1)) \
+ { \
+ tet_printf("[TET_CHECK_PASS]:: %s[%d] : Test has failed..", __FILE__,__LINE__); \
+ tet_result(TET_FAIL); \
+ return; \
+ } \
+}
+
+// For checking the result of the negative test case.
+#define TET_CHECK_FAIL(x1, y...) \
+{ \
+ Evas_Object *err = y; \
+ if (err != (x1)) \
+ { \
+ tet_printf("[TET_CHECK_FAIL]:: %s[%d] : Test has failed..", __FILE__,__LINE__); \
+ tet_result(TET_FAIL); \
+ return; \
+ } \
+}
+
+
+Evas_Object *main_win;
+
+static void startup(void);
+static void cleanup(void);
+
+void (*tet_startup)(void) = startup;
+void (*tet_cleanup)(void) = cleanup;
+
+static void utc_UIFW_elm_panes_fixed_is_func_01(void);
+static void utc_UIFW_elm_panes_fixed_is_func_02(void);
+
+enum {
+ POSITIVE_TC_IDX = 0x01,
+ NEGATIVE_TC_IDX,
+};
+
+struct tet_testlist tet_testlist[] = {
+ { utc_UIFW_elm_panes_fixed_is_func_01, POSITIVE_TC_IDX },
+ { utc_UIFW_elm_panes_fixed_is_func_02, NEGATIVE_TC_IDX },
+ { NULL, 0 }
+};
+
+static void startup(void)
+{
+ tet_infoline("[[ TET_MSG ]]:: ============ Startup ============ ");
+ elm_init(0, NULL);
+ main_win = elm_win_add(NULL, "main", ELM_WIN_BASIC);
+ evas_object_show(main_win);
+}
+
+static void cleanup(void)
+{
+ if ( NULL != main_win ) {
+ evas_object_del(main_win);
+ main_win = NULL;
+ }
+ elm_shutdown();
+ tet_infoline("[[ TET_MSG ]]:: ============ Cleanup ============ ");
+}
+
+/**
+ * @brief Positive test case of elm_panes_fixed_is()
+ */
+static void utc_UIFW_elm_panes_fixed_is_func_01(void)
+{
+ int r = 0;
+
+/*
+ r = elm_panes_fixed_is(...);
+*/
+ if (!r) {
+ tet_infoline("elm_panes_fixed_is() failed in positive test case");
+ tet_result(TET_FAIL);
+ return;
+ }
+ tet_result(TET_PASS);
+}
+
+/**
+ * @brief Negative test case of ug_init elm_panes_fixed_is()
+ */
+static void utc_UIFW_elm_panes_fixed_is_func_02(void)
+{
+ int r = 0;
+
+/*
+ r = elm_panes_fixed_is(...);
+*/
+ if (r) {
+ tet_infoline("elm_panes_fixed_is() failed in negative test case");
+ tet_result(TET_FAIL);
+ return;
+ }
+ tet_result(TET_PASS);
+}
--- /dev/null
+#include <tet_api.h>
+#include <Elementary.h>
+
+// Definitions
+// For checking the result of the positive test case.
+#define TET_CHECK_PASS(x1, y...) \
+{ \
+ Evas_Object *err = y; \
+ if (err == (x1)) \
+ { \
+ tet_printf("[TET_CHECK_PASS]:: %s[%d] : Test has failed..", __FILE__,__LINE__); \
+ tet_result(TET_FAIL); \
+ return; \
+ } \
+}
+
+// For checking the result of the negative test case.
+#define TET_CHECK_FAIL(x1, y...) \
+{ \
+ Evas_Object *err = y; \
+ if (err != (x1)) \
+ { \
+ tet_printf("[TET_CHECK_FAIL]:: %s[%d] : Test has failed..", __FILE__,__LINE__); \
+ tet_result(TET_FAIL); \
+ return; \
+ } \
+}
+
+
+Evas_Object *main_win;
+
+static void startup(void);
+static void cleanup(void);
+
+void (*tet_startup)(void) = startup;
+void (*tet_cleanup)(void) = cleanup;
+
+static void utc_UIFW_elm_panes_fixed_set_func_01(void);
+static void utc_UIFW_elm_panes_fixed_set_func_02(void);
+
+enum {
+ POSITIVE_TC_IDX = 0x01,
+ NEGATIVE_TC_IDX,
+};
+
+struct tet_testlist tet_testlist[] = {
+ { utc_UIFW_elm_panes_fixed_set_func_01, POSITIVE_TC_IDX },
+ { utc_UIFW_elm_panes_fixed_set_func_02, NEGATIVE_TC_IDX },
+ { NULL, 0 }
+};
+
+static void startup(void)
+{
+ tet_infoline("[[ TET_MSG ]]:: ============ Startup ============ ");
+ elm_init(0, NULL);
+ main_win = elm_win_add(NULL, "main", ELM_WIN_BASIC);
+ evas_object_show(main_win);
+}
+
+static void cleanup(void)
+{
+ if ( NULL != main_win ) {
+ evas_object_del(main_win);
+ main_win = NULL;
+ }
+ elm_shutdown();
+ tet_infoline("[[ TET_MSG ]]:: ============ Cleanup ============ ");
+}
+
+/**
+ * @brief Positive test case of elm_panes_fixed_set()
+ */
+static void utc_UIFW_elm_panes_fixed_set_func_01(void)
+{
+ int r = 0;
+
+/*
+ r = elm_panes_fixed_set(...);
+*/
+ if (!r) {
+ tet_infoline("elm_panes_fixed_set() failed in positive test case");
+ tet_result(TET_FAIL);
+ return;
+ }
+ tet_result(TET_PASS);
+}
+
+/**
+ * @brief Negative test case of ug_init elm_panes_fixed_set()
+ */
+static void utc_UIFW_elm_panes_fixed_set_func_02(void)
+{
+ int r = 0;
+
+/*
+ r = elm_panes_fixed_set(...);
+*/
+ if (r) {
+ tet_infoline("elm_panes_fixed_set() failed in negative test case");
+ tet_result(TET_FAIL);
+ return;
+ }
+ tet_result(TET_PASS);
+}
--- /dev/null
+#include <tet_api.h>
+#include <Elementary.h>
+
+// Definitions
+// For checking the result of the positive test case.
+#define TET_CHECK_PASS(x1, y...) \
+{ \
+ Evas_Object *err = y; \
+ if (err == (x1)) \
+ { \
+ tet_printf("[TET_CHECK_PASS]:: %s[%d] : Test has failed..", __FILE__,__LINE__); \
+ tet_result(TET_FAIL); \
+ return; \
+ } \
+}
+
+// For checking the result of the negative test case.
+#define TET_CHECK_FAIL(x1, y...) \
+{ \
+ Evas_Object *err = y; \
+ if (err != (x1)) \
+ { \
+ tet_printf("[TET_CHECK_FAIL]:: %s[%d] : Test has failed..", __FILE__,__LINE__); \
+ tet_result(TET_FAIL); \
+ return; \
+ } \
+}
+
+
+Evas_Object *main_win;
+
+static void startup(void);
+static void cleanup(void);
+
+void (*tet_startup)(void) = startup;
+void (*tet_cleanup)(void) = cleanup;
+
+static void utc_UIFW_elm_panes_horizontal_is_func_01(void);
+static void utc_UIFW_elm_panes_horizontal_is_func_02(void);
+
+enum {
+ POSITIVE_TC_IDX = 0x01,
+ NEGATIVE_TC_IDX,
+};
+
+struct tet_testlist tet_testlist[] = {
+ { utc_UIFW_elm_panes_horizontal_is_func_01, POSITIVE_TC_IDX },
+ { utc_UIFW_elm_panes_horizontal_is_func_02, NEGATIVE_TC_IDX },
+ { NULL, 0 }
+};
+
+static void startup(void)
+{
+ tet_infoline("[[ TET_MSG ]]:: ============ Startup ============ ");
+ elm_init(0, NULL);
+ main_win = elm_win_add(NULL, "main", ELM_WIN_BASIC);
+ evas_object_show(main_win);
+}
+
+static void cleanup(void)
+{
+ if ( NULL != main_win ) {
+ evas_object_del(main_win);
+ main_win = NULL;
+ }
+ elm_shutdown();
+ tet_infoline("[[ TET_MSG ]]:: ============ Cleanup ============ ");
+}
+
+/**
+ * @brief Positive test case of elm_panes_horizontal_is()
+ */
+static void utc_UIFW_elm_panes_horizontal_is_func_01(void)
+{
+ int r = 0;
+
+/*
+ r = elm_panes_horizontal_is(...);
+*/
+ if (!r) {
+ tet_infoline("elm_panes_horizontal_is() failed in positive test case");
+ tet_result(TET_FAIL);
+ return;
+ }
+ tet_result(TET_PASS);
+}
+
+/**
+ * @brief Negative test case of ug_init elm_panes_horizontal_is()
+ */
+static void utc_UIFW_elm_panes_horizontal_is_func_02(void)
+{
+ int r = 0;
+
+/*
+ r = elm_panes_horizontal_is(...);
+*/
+ if (r) {
+ tet_infoline("elm_panes_horizontal_is() failed in negative test case");
+ tet_result(TET_FAIL);
+ return;
+ }
+ tet_result(TET_PASS);
+}
--- /dev/null
+#include <tet_api.h>
+#include <Elementary.h>
+
+// Definitions
+// For checking the result of the positive test case.
+#define TET_CHECK_PASS(x1, y...) \
+{ \
+ Evas_Object *err = y; \
+ if (err == (x1)) \
+ { \
+ tet_printf("[TET_CHECK_PASS]:: %s[%d] : Test has failed..", __FILE__,__LINE__); \
+ tet_result(TET_FAIL); \
+ return; \
+ } \
+}
+
+// For checking the result of the negative test case.
+#define TET_CHECK_FAIL(x1, y...) \
+{ \
+ Evas_Object *err = y; \
+ if (err != (x1)) \
+ { \
+ tet_printf("[TET_CHECK_FAIL]:: %s[%d] : Test has failed..", __FILE__,__LINE__); \
+ tet_result(TET_FAIL); \
+ return; \
+ } \
+}
+
+
+Evas_Object *main_win;
+
+static void startup(void);
+static void cleanup(void);
+
+void (*tet_startup)(void) = startup;
+void (*tet_cleanup)(void) = cleanup;
+
+static void utc_UIFW_elm_panes_horizontal_set_func_01(void);
+static void utc_UIFW_elm_panes_horizontal_set_func_02(void);
+
+enum {
+ POSITIVE_TC_IDX = 0x01,
+ NEGATIVE_TC_IDX,
+};
+
+struct tet_testlist tet_testlist[] = {
+ { utc_UIFW_elm_panes_horizontal_set_func_01, POSITIVE_TC_IDX },
+ { utc_UIFW_elm_panes_horizontal_set_func_02, NEGATIVE_TC_IDX },
+ { NULL, 0 }
+};
+
+static void startup(void)
+{
+ tet_infoline("[[ TET_MSG ]]:: ============ Startup ============ ");
+ elm_init(0, NULL);
+ main_win = elm_win_add(NULL, "main", ELM_WIN_BASIC);
+ evas_object_show(main_win);
+}
+
+static void cleanup(void)
+{
+ if ( NULL != main_win ) {
+ evas_object_del(main_win);
+ main_win = NULL;
+ }
+ elm_shutdown();
+ tet_infoline("[[ TET_MSG ]]:: ============ Cleanup ============ ");
+}
+
+/**
+ * @brief Positive test case of elm_panes_horizontal_set()
+ */
+static void utc_UIFW_elm_panes_horizontal_set_func_01(void)
+{
+ int r = 0;
+
+/*
+ r = elm_panes_horizontal_set(...);
+*/
+ if (!r) {
+ tet_infoline("elm_panes_horizontal_set() failed in positive test case");
+ tet_result(TET_FAIL);
+ return;
+ }
+ tet_result(TET_PASS);
+}
+
+/**
+ * @brief Negative test case of ug_init elm_panes_horizontal_set()
+ */
+static void utc_UIFW_elm_panes_horizontal_set_func_02(void)
+{
+ int r = 0;
+
+/*
+ r = elm_panes_horizontal_set(...);
+*/
+ if (r) {
+ tet_infoline("elm_panes_horizontal_set() failed in negative test case");
+ tet_result(TET_FAIL);
+ return;
+ }
+ tet_result(TET_PASS);
+}
:include:/elm_ts/check/tslist
:include:/elm_ts/radio/tslist
:include:/elm_ts/toggle/tslist
+ :include:/elm_ts/panes/tslist
#yhkim
ch
# Multimedia
elm
- :include:/elm_ts/imageslider/tslist
- :include:/elm_ts/colorpalette/tslist
- :include:/elm_ts/gengrid/tslist
- :include:/elm_ts/pagecontrol/tslist
- :include:/elm_ts/selectioninfo/tslist
- :include:/elm_ts/popup/tslist
- :include:/elm_ts/webview/tslist
+ :include:/elm_ts/imageslider/tslist
+ :include:/elm_ts/colorpalette/tslist
+ :include:/elm_ts/colorpicker/tslist
+ :include:/elm_ts/gengrid/tslist
+ :include:/elm_ts/pagecontrol/tslist
+ :include:/elm_ts/selectioninfo/tslist
+ :include:/elm_ts/button/tslist
+ :include:/elm_ts/popup/tslist
+ :include:/elm_ts/label/tslist
+ :include:/elm_ts/searchbar/tslist
+ :include:/elm_ts/webview/tslist
+ :include:/elm_ts/datefield/tslist
+ :include:/elm_ts/bubble/tslist
+ :include:/elm_ts/navigationbar/tslist
+ :include:/elm_ts/calendar/tslist
+ :include:/elm_ts/check/tslist
+ :include:/elm_ts/radio/tslist
+ :include:/elm_ts/toggle/tslist
+ :include:/elm_ts/panes/tslist
#yhkim